Download it now!
Bug 76101 - FILESAVE DOCX : LO exports corrupt document.
Summary: FILESAVE DOCX : LO exports corrupt document.
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.2.0.0.alpha0+ Master
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:4.3.0
Keywords:
Depends on:
Blocks:
 
Reported: 2014-03-13 07:43 UTC by Sushil Shinde
Modified: 2014-05-22 19:40 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Original file. (86.35 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2014-03-13 07:43 UTC, Sushil Shinde
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Sushil Shinde 2014-03-13 07:43:36 UTC
Created attachment 95692 [details]
Original file.

Open attached file on LO latest master build.
Save file as docx. 
Open saved file on MS Office, it shows file corrupt dialog.
Comment 1 Jorendc 2014-03-14 16:31:12 UTC
Reproducible, tested using Mac OSX 10.9 with LibreOffice Version: 4.3.0.0.alpha0+
Build ID: 1b6e87fc232e78790d45a54b7a4ac7fe02d2c587
TinderBox: MacOSX-x86@49-TDF, Branch:master, Time: 2014-03-08_23:04:18

Kind regards,
Joren
Comment 2 Commit Notification 2014-03-20 11:35:55 UTC
Vinaya Mandke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=7057d1c9097b7c7aa4d232a9f67199bbf406d3f6

fdo#76101 [DOCX] Export: Limit no of styles in styles.xml



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 3 Jorendc 2014-03-21 15:59:11 UTC
I can confirm there is no corruption anymore.

Tested using Windows 8.1 with LibreOffice Version: 4.3.0.0.alpha0+
Build ID: 514a6de4822523164ef66916198e36944a826db3
TinderBox: Win-x86@39, Branch:master, Time: 2014-03-21_00:39:06

Kind regards,
Joren
Comment 4 Commit Notification 2014-05-22 19:40:30 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=8e2b894c30f90c577857a16bab13e45f867bf36e

fdo#76101 move testcase to CppunitTest_sw_ooxmlsdrexport



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.